#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        This lib provides calendar support
Name:           calendarsupport
Epoch:          2
Version: 24.12.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME missing 32bit support for akonadi-calendar
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6UiTools)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6Holidays)

BuildRequires:  cmake(KPim6Akonadi) >= 6.2.80
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6CalendarUtils)
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KPim6AkonadiCalendar) >= 6.2.80
BuildRequires:  cmake(KF6TextCustomEditor)


%description
This lib provides calendar support.

%files -f %name.lang
%_kf6_categoriesdir/calendarsupport.categories
%_kf6_categoriesdir/calendarsupport.renamecategories

#--------------------------------------------------------------------

%define kpimcalendarsupport_major 6
%define libkpimcalendarsupport %mklibname kpim6calendarsupport %{kpimcalendarsupport_major}

%package -n %libkpimcalendarsupport
Summary:      This lib provides calendar support
Group:        System/Libraries

Requires:     %name = %epoch:%version

%description -n %libkpimcalendarsupport
This lib provides calendar support.

%files -n %libkpimcalendarsupport
%_kf6_libdir/libKPim6CalendarSupport.so.%{kpimcalendarsupport_major}{,.*}

#--------------------------------------------------------------------

%define calendarsupport_devel %mklibname kfpim6calendarsupport -d

%package -n %calendarsupport_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimcalendarsupport = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %calendarsupport_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %calendarsupport_devel
%_includedir/KPim6/CalendarSupport/
%_kf6_libdir/libKPim6CalendarSupport.so
%_kf6_libdir/cmake/KPim6CalendarSupport/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Tue Feb 11 2025 daviddavid <daviddavid> 2:24.12.2-1.mga10
+ Revision: 2147073
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 2:24.12.1-1.mga10
+ Revision: 2136468
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 2:24.12.0-1.mga10
+ Revision: 2123712
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 2:24.11.80-1.mga10
+ Revision: 2116599
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 2:24.08.3-1.mga10
+ Revision: 2113960
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 2:24.08.2-1.mga10
+ Revision: 2105459
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 2:24.08.1-1.mga10
+ Revision: 2097318
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 2:24.08.0-1.mga10
+ Revision: 2087521
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 2:24.07.90-1.mga10
+ Revision: 2085006
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 2:24.05.1-1.mga10
+ Revision: 2073125
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 2:24.05.0-1.mga10
+ Revision: 2069716
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 2:24.02.2-1.mga10
+ Revision: 2058525
- New version 24.02.2

* Sat Mar 02 2024 neoclust <neoclust> 2:24.02.0-1.mga10
+ Revision: 2046592
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 2:24.01.95-1.mga10
+ Revision: 2037570
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 2:24.01.90-1.mga10
+ Revision: 2033702
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 2:24.01.85-1.mga10
+ Revision: 2025042
- New version 24.01.85

* Mon Nov 20 2023 neoclust <neoclust> 2:24.01.75-1.mga10
+ Revision: 2008227
- New version 24.01.75

* Wed Sep 27 2023 neoclust <neoclust> 2:23.08.1-1.mga10
+ Revision: 1991377
- New version 23.08.1

* Sun May 28 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959339
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946413
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941703
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922827
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911318
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905174
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886696
- New version 22.08.1

* Thu Sep 01 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883154
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1872991
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853885
- New version 22.04.0

* Thu Apr 21 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852319
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1763776
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1723978
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718273
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698470
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694010
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655532
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1643918
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633723
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1626976
- New version 20.08.1

* Sat Aug 22 2020 daviddavid <daviddavid> 2:20.08.0-2.mga8
+ Revision: 1617830
- update build dependencies

* Thu Aug 20 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1616841
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604040
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596771
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584423
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568054
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559244
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540772
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513214
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466859
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457818
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447665
- New version 19.08.1

* Tue Jul 30 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1426033
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390367
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387571
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 2:18.12.3-3.mga7
+ Revision: 1381376
- Qt5 Rebuild

* Fri Mar 15 2019 daviddavid <daviddavid> 2:18.12.3-2.mga7
+ Revision: 1377248
- rebuild for arm

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375443
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365486
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356421
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339435
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332666
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327319
- New version 18.08.2

* Sat Sep 22 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1295903
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1228872
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201816
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194840
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1186377
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1142958
- New version 17.08.0

* Tue Aug 08 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1139091
- New version 17.07.90

* Thu Jul 27 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131334
- New version 17.04.3

* Sun Mar 26 2017 neoclust <neoclust> 2:16.12.3-5.mga6
+ Revision: 1094861
- Use more %%epoch

* Sun Mar 26 2017 neoclust <neoclust> 2:16.12.3-4.mga6
+ Revision: 1094855
- Add Epoch to help upgrade

* Wed Mar 22 2017 neoclust <neoclust> 16.12.3-3.mga6
+ Revision: 1094281
- Rebuild because of missing package
- Fix library name (mga#20497)

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089996
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076731
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073858
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067264
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061323
- New version 16.08.2

* Fri Sep 23 2016 neoclust <neoclust> 16.08.1-4.mga6
+ Revision: 1055467
- Do not build on armv5tl

* Fri Sep 23 2016 neoclust <neoclust> 16.08.1-3.mga6
+ Revision: 1055458
- Add some obsoletes to ease upgrade from mga5

* Mon Sep 19 2016 neoclust <neoclust> 16.08.1-2.mga6
+ Revision: 1054182
- Rebuild for arm

* Tue Sep 13 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1051819
- New version 16.08.1

* Fri Sep 02 2016 neoclust <neoclust> 16.08.0-3.mga6
+ Revision: 1049763
- Rebuild on arm
+ daviddavid <daviddavid>
- rebuild to regenerate rpms

* Tue Aug 23 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047968
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1039985
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012475
- New version 16.04.1

* Mon Apr 25 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1006014
- New version 16.04.0

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996902
- imported package calendarsupport

